commit:     2fde694413013cb2c202fe092567acf90b25bfd2
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 10 08:49:50 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Jul 10 08:49:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fde6944

sys-process/numactl: Bump to version 2.0.12

Package-Manager: Portage-2.3.41, Repoman-2.3.9

 sys-process/numactl/Manifest              |  1 +
 sys-process/numactl/numactl-2.0.12.ebuild | 65 +++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/sys-process/numactl/Manifest b/sys-process/numactl/Manifest
index bd509289f83..38874062a67 100644
--- a/sys-process/numactl/Manifest
+++ b/sys-process/numactl/Manifest
@@ -1 +1,2 @@
 DIST numactl-2.0.11.tar.gz 408175 BLAKE2B 
0767d555d5254e780ef50bd66215e84208e88fb37422fd86443e53ee52faef4242ff21e6028bdb92c4e1fa7815cdb23e87cd084763539dc1d560097f43bd563f
 SHA512 
1969d7ee0ff3de0d6f1fa42ec089a17cdb3f92cb35d453b8f8b2eec49724c43787ecbd213357013a8f2500a260b0df9844d515815ca3a0376314a0eed050a0d4
+DIST numactl-2.0.12.tar.gz 423020 BLAKE2B 
39d33612591df805715c51280bf34b8328ba6fc49bdaf9dd3bd67e076f9d319c9622ef72766c12e319f4be27ee9ec7f5ecb054a6e8c7c3cf568a69aea624d511
 SHA512 
316b10f50e6eee4cee9cf191f19381ec4a61980354eec3f9fe43fef21465bee28a82adeb9c235d4877e82950ccd14c9473b79fd1e2f5a7f598ec2fac230780ff

diff --git a/sys-process/numactl/numactl-2.0.12.ebuild 
b/sys-process/numactl/numactl-2.0.12.ebuild
new file mode 100644
index 00000000000..312ab570210
--- /dev/null
+++ b/sys-process/numactl/numactl-2.0.12.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools toolchain-funcs multilib-minimal
+
+DESCRIPTION="Utilities and libraries for NUMA systems"
+HOMEPAGE="https://github.com/numactl/numactl";
+if [[ "${PV}" == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/numactl/numactl.git";
+else
+       
SRC_URI="https://github.com/numactl/numactl/releases/download/v${PV}/${P}.tar.gz";
+       # ARM lacks the __NR_migrate_pages syscall.
+       KEYWORDS="~amd64 -arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static-libs"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.0.10-numademo-cflags.patch #540856
+)
+
+src_prepare() {
+       default
+       eautoreconf
+       # We need to copy the sources or else tests will fail
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_compile() {
+       multilib_is_native_abi && default || emake libnuma.la
+}
+
+multilib_src_test() {
+       if multilib_is_native_abi ; then
+               if [ -d /sys/devices/system/node ]; then
+                       einfo "The only generically safe test is regress2."
+                       einfo "The other test cases require 2 NUMA nodes."
+                       emake regress2
+               else
+                       ewarn "You do not have baseline NUMA support in your 
kernel, skipping tests."
+               fi
+       fi
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" \
+               install$(multilib_is_native_abi || echo "-libLTLIBRARIES 
install-includeHEADERS")
+       find "${ED%/}"/usr/ -name libnuma.la -delete || die
+}
+
+multilib_src_install_all() {
+       local DOCS=( README.md )
+       einstalldocs
+       # delete man pages provided by the man-pages package #238805
+       rm -r "${ED%/}"/usr/share/man/man[25] || die
+}

Reply via email to